Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.connections.internal
Class C3P0ConnectionProvider

    java.lang.Object
      org.hibernate.service.jdbc.connections.internal.C3P0ConnectionProvider

All Implemented Interfaces:
  Serializable, ConnectionProvider, Service, Configurable, ServiceRegistryAwareService, Stoppable, Wrapped

    public class C3P0ConnectionProvider

extends Object
implements ConnectionProvider, Configurable, Stoppable, ServiceRegistryAwareService

A connection provider that uses a C3P0 connection pool. Hibernate will use this by default if the `hibernate.c3p0.*` properties are set.

See Also:
  `ConnectionProvider`, Serialized Form

Constructor Summary
`C3P0ConnectionProvider()`

Method Summary
`void` | `close()`
`void` | `closeConnection(Connection conn)` Release a connection from Hibernate use.
`void` | `configure(Map props)` Configure the service.
`Connection` | `getConnection()` Obtains a connection for Hibernate use according to the underlying strategy of this provider.
`void` | `injectServices(ServiceRegistryImplementor serviceRegistry)` Callback to inject the registry.
`boolean` | `isUnwrappableAs(Class unwrapType)` Can this wrapped service be unwrapped as the indicated type?
`void` | `stop()` Stop phase notification
`boolean` | `supportsAggressiveRelease()` Does this connection provider support aggressive release of JDBC connections and re-acquisition of those connections (if need be) later? This is used in conjunction with `AvailableSettings.RELEASE_CONNECTIONS` to aggressively release JDBC connections.
`
`<T> T`
` | `unwrap(Class<T> unwrapType)` Unproxy the service proxy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C3P0ConnectionProvider

    public C3P0ConnectionProvider()

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Description copied from interface: `ConnectionProvider`
  Obtains a connection for Hibernate use according to the underlying strategy of this provider.

  Specified by:
    `getConnection` in interface `ConnectionProvider`
  Returns:
    The obtained JDBC connection
  Throws:
    `SQLException` - Indicates a problem opening a connection

### closeConnection

    public void closeConnection(Connection conn)
                         throws SQLException

  Description copied from interface: `ConnectionProvider`
  Release a connection from Hibernate use.

  Specified by:
    `closeConnection` in interface `ConnectionProvider`
  Parameters:
    `conn` - The JDBC connection to release
  Throws:
    `SQLException` - Indicates a problem closing the connection

### isUnwrappableAs

    public boolean isUnwrappableAs(Class unwrapType)

  Description copied from interface: `Wrapped`
  Can this wrapped service be unwrapped as the indicated type?

  Specified by:
    `isUnwrappableAs` in interface `Wrapped`
  Parameters:
    `unwrapType` - The type to check.
  Returns:
    True/false.

### unwrap

    public <T> T unwrap(Class<T> unwrapType)

  Description copied from interface: `Wrapped`
  Unproxy the service proxy

  Specified by:
    `unwrap` in interface `Wrapped`
  Parameters:
    `unwrapType` - The java type as which to unwrap this instance.
  Returns:
    The unwrapped reference

### configure

    public void configure(Map props)

  Description copied from interface: `Configurable`
  Configure the service.

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `props` - The configuration properties.

### close

    public void close()

### supportsAggressiveRelease

    public boolean supportsAggressiveRelease()

  Description copied from interface: `ConnectionProvider`
  Does this connection provider support aggressive release of JDBC connections and re-acquisition of those connections (if need be) later?

  This is used in conjunction with `AvailableSettings.RELEASE_CONNECTIONS` to aggressively release JDBC connections. However, the configured ConnectionProvider must support re-acquisition of the same underlying connection for that semantic to work.

  Typically, this is only true in managed environments where a container tracks connections by transaction or thread. Note that JTA semantic depends on the fact that the underlying connection provider does support aggressive release.

  Specified by:
    `supportsAggressiveRelease` in interface `ConnectionProvider`
  Returns:
    `true` if aggressive releasing is supported; `false` otherwise.

### stop

    public void stop()

  Description copied from interface: `Stoppable`
  Stop phase notification

  Specified by:
    `stop` in interface `Stoppable`

### injectServices

    public void injectServices(ServiceRegistryImplementor serviceRegistry)

  Description copied from interface: `ServiceRegistryAwareService`
  Callback to inject the registry.

  Specified by:
    `injectServices` in interface `ServiceRegistryAwareService`
  Parameters:
    `serviceRegistry` - The registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.